Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I am not sure what caused this error, but here is what the whole error says, and also this is sitting as a notification, and preventing me from updating any software using Update Manager - Please provide some assistance or tell me how to figure out what to do to fix it.

Could not calculate the upgrade

An unresolvable problem occurred while calculating the upgrade.

Please report this bug against the 'update-manager' package and include the following error message:
'E:Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.'
share|improve this question

2 Answers 2

This post may solve your issue. To summarise,

  1. Open the /var/log/dist-upgrade/apt.log log file in a text editor.
  2. Locate any "broken" packages and remove them with sudo apt-get remove <package>.
share|improve this answer
2  
+1. Worked perfectly. In my case, I just tried to apt-get remove a single pkg, which indicated other pkgs that depend on it to be removed too. Those pkgs were the ones that are distro-specific and their upgrade path was unknown to Ubuntu. –  IsaacS Dec 18 '12 at 22:46

Try:

sudo apt-get update && sudo apt-get upgrade

Then run the update-manager again.

share|improve this answer

protected by Braiam Feb 15 at 4:31

Thank you for your interest in this question. Because it has attracted low-quality answers, posting an answer now requires 10 reputation on this site.

Would you like to answer one of these unanswered questions instead?

Not the answer you're looking for? Browse other questions tagged or ask your own question.